%define name linkchecker
%define version 1.10.3
%define release 1mdk

Summary: Check HTML documents for broken links
Name: %{name}
Version: %{version}
Release: %{release}
Url: http://linkchecker.sourceforge.net
Source0: http://linkchecker.sourceforge.net/%name-%version.tar.bz2
Patch1: linkchecker-1.6.3-rc-in-etc.patch.bz2
License: GPL
Group: Networking/WWW
BuildRequires: python-devel
Requires: python
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
 Features:
  o recursive checking
  o multithreaded
  o output can be colored or normal text, HTML, SQL, CSV or a sitemap
    graph in GML or XML
  o HTTP/1.1, FTP, mailto:, nntp:, news:, Gopher, Telnet and local 
    file links are supported
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o give username/password for HTTP and FTP authorization
  o robots.txt exclusion protocol support 
  o i18n support
  o command line interface
  o (Fast)CGI web interface (requires HTTP server)

%prep
%setup -q
%patch1 -p1

find -type f | xargs chmod a+r 
find -type f | xargs perl -pi -e 's|/usr/bin/env python2|/usr/bin/env python|'

%build
python setup.py config #-lcrypto
python setup.py build
make locale PYTHON=python

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=%{buildroot}

install -d %{buildroot}/etc
mv %{buildroot}/usr/share/linkchecker/linkcheckerrc %{buildroot}/etc

# as in debian/rules, why??
rm -rf %{buildroot}%{_libdir}/python*/site-packages/linkcheckssl

%find_lang linkcheck 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f linkcheck.lang
%defattr(-,root,root)
%doc README TODO
%config(noreplace) /etc/*
%{_bindir}/*
%{_libdir}/python*/site-packages/*
%{_mandir}/*/*
%_datadir/%name

%changelog
* Mon Jan 12 2004 Pixel <pixel@mandrakesoft.com> 1.10.3-1mdk
- new release

* Mon Jan  5 2004 Pixel <pixel@mandrakesoft.com> 1.10.2-1mdk
- new release

* Sat Dec 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.10.1-1mdk
- new release

* Mon Dec  8 2003 Pixel <pixel@mandrakesoft.com> 1.10.0-1mdk
- new release

* Thu Oct 16 2003 Pixel <pixel@mandrakesoft.com> 1.9.3-1mdk
- new release

* Wed Aug 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.9.0-1mdk
- 1.9.0

* Sat Aug  9 2003 Pixel <pixel@mandrakesoft.com> 1.8.20-2mdk
- rebuild for new python

* Thu Jul 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.8.20-1mdk
- 1.8.20

* Wed Jul 16 2003 Pixel <pixel@mandrakesoft.com> 1.8.19-1mdk
- new release
- add BuildRequires: python-devel

* Mon May  5 2003 Pixel <pixel@mandrakesoft.com> 1.8.15-1mdk
- new release

* Sat Jan  4 2003 Pixel <pixel@mandrakesoft.com> 1.8.2-1mdk
- new release

* Thu Nov 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.8.0-1mdk
- 1.8.0
- add locales

* Fri Nov 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6.6-1mdk
- 1.6.6

* Fri Sep 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6.3-1mdk
- 1.6.3
- regenerate patch

* Thu Jun 27 2002 Pixel <pixel@mandrakesoft.com> 1.4.9-2mdk
- it can be "noarch", so let it be so

* Thu Jun 27 2002 Pixel <pixel@mandrakesoft.com> 1.4.9-1mdk
- new release

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4.5-1mdk
- 1.4.5

* Tue Apr 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4.3-1mdk
- 1.4.3

* Fri Mar 22 2002 Pixel <pixel@mandrakesoft.com> 1.4.1-1mdk
- new release

* Sat Feb  2 2002 Pixel <pixel@mandrakesoft.com> 1.3.18-1mdk
- new release

* Mon Dec 03 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.11-1mdk
- new release
- remember to kill folks that reuse hard coded versions number everywhere

* Tue Nov  6 2001 Pixel <pixel@mandrakesoft.com> 1.3.6-1mdk
- initial spec

# end of file
